% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/bru.inference.R
\name{bru_obs_inla_family}
\alias{bru_obs_inla_family}
\alias{bru_obs_inla_family.bru_obs}
\alias{bru_obs_inla_family.bru_obs_list}
\alias{bru_obs_control_family}
\alias{bru_obs_control_family.bru_obs}
\alias{bru_obs_control_family.bru_obs_list}
\title{Utility functions for bru observation model objects}
\usage{
bru_obs_inla_family(x, ...)

\method{bru_obs_inla_family}{bru_obs}(x, ...)

\method{bru_obs_inla_family}{bru_obs_list}(x, ...)

bru_obs_control_family(x, control.family = NULL, ...)

\method{bru_obs_control_family}{bru_obs}(x, control.family = NULL, ...)

\method{bru_obs_control_family}{bru_obs_list}(x, control.family = NULL, ...)
}
\arguments{
\item{x}{Object of \code{bru_obs} or \code{bru_obs_list} type}

\item{control.family}{list of INLA \code{control.family} options to override}
}
\value{
\itemize{
\item \code{bru_obs_inla_family()} returns a string or vector of strings
}

\itemize{
\item \code{bru_obs_control_family()} returns a list with
\code{INLA::control.family} options, or a list of such lists, with one element
per observation model
}
}
\description{
Utility functions for bru observation model objects
}
\seealso{
\code{\link[=summary.bru_obs]{summary.bru_obs()}}
}
\keyword{internal}
