% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ggplot.R
\name{gg.SpatRaster}
\alias{gg.SpatRaster}
\title{Geom wrapper for SpatRaster objects}
\usage{
\method{gg}{SpatRaster}(data, ...)
}
\arguments{
\item{data}{A SpatRaster object.}

\item{...}{Arguments passed on to \code{geom_spatraster}.}
}
\value{
The output from `geom_spatraster.
}
\description{
Convenience wrapper function for \code{tidyterra::geom_spatraster()}.
Requires the \code{ggplot2} and \code{tidyterra} packages.
}
\examples{
if (require("ggplot2", quietly = TRUE) &&
  requireNamespace("terra", quietly = TRUE) &&
  require("tidyterra", quietly = TRUE)) {
  # Load Gorilla covariates

  gcov <- gorillas_sf_gcov()

  # Plot the pixel centers
  ggplot() +
    gg(gcov$elevation)
}
}
\seealso{
Other geomes for spatial data: 
\code{\link{gg}()},
\code{\link{gg.SpatialGridDataFrame}()},
\code{\link{gg.SpatialLines}()},
\code{\link{gg.SpatialPixels}()},
\code{\link{gg.SpatialPixelsDataFrame}()},
\code{\link{gg.SpatialPoints}()},
\code{\link{gg.SpatialPolygons}()},
\code{\link{gg.sf}()}
}
\concept{geomes for spatial data}
